"""
Pytest configuration file for Ploughshares tests.
"""

import os
import pytest


@pytest.fixture
def project_root():
    """Return the project root directory."""
    return os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


@pytest.fixture
def app_dir(project_root):
    """Return the application directory."""
    return os.path.join(project_root, 'docker', 'ploughshares')


@pytest.fixture
def version_file(project_root):
    """Return the path to the VERSION file."""
    return os.path.join(project_root, 'VERSION')


@pytest.fixture
def requirements_file(app_dir):
    """Return the path to the requirements.txt file."""
    return os.path.join(app_dir, 'requirements.txt')


@pytest.fixture
def app_file(app_dir):
    """Return the path to the app.py file."""
    return os.path.join(app_dir, 'app.py')


@pytest.fixture
def docker_compose_file(project_root):
    """Return the path to the docker-compose.yml file."""
    return os.path.join(project_root, 'docker-compose.yml') 